import socket

def mirror_text(text):
    return text[::-1]

server = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
server.bind(('0.0.0.0', 10001))
print("UDP сервер запущен на порту 10001")

while True:
    data, addr = server.recvfrom(1024)
    text = data.decode()
    print(f"Сообщение от {addr}: {text}")

    mirrored = mirror_text(text)
    server.sendto(mirrored.encode(), addr)

    if text.upper() == 'EXIT':
        print("Сервер завершает работу.")
        break

server.close()